package com.urbandroid.sleep.alarmclock

import android.os.Bundle
import android.view.MenuItem
import com.urbandroid.common.BaseActivity
import com.urbandroid.sleep.R
import com.urbandroid.sleep.fragment.dashboard.DashboardFragment
import com.urbandroid.sleep.gui.TintUtil
import com.urbandroid.util.ForceLocale
import kotlinx.android.synthetic.main.activity_dashborad.*

class DashboardActivity : BaseActivity(){

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        GlobalInitializator.initializeIfRequired(this)
        ForceLocale.force(this)
        TintUtil.tint(this)

        setContentView(R.layout.activity_dashborad)

        with(supportActionBar!!) {
            setTitle(R.string.dashboard)
            setDisplayHomeAsUpEnabled(true)
        }

        (card_list as DashboardFragment).setVisible()
    }

    override fun onOptionsItemSelected(item: MenuItem) =
            when (item.itemId) {
                android.R.id.home -> { finish(); true }
                else -> false
            }
}