package com.urbandroid.sleep.fragment.dashboard.card

import android.app.Activity
import android.view.ViewGroup
import android.widget.TextView
import com.urbandroid.sleep.domain.goal.Goal

class GoalBinder {

    fun bind(activity: Activity, goal: Goal, title: TextView, text: TextView, goalView: ViewGroup) {
        title.text = goal.getGoalTitle(activity)
        text.text = Goal.getGoalStateString(activity, goal)
        Goal.updateProgressInView(activity, goalView, goal);
    }
}