package com.urbandroid.sleep.gui

import android.app.Dialog
import android.content.Context
import android.os.Bundle
import android.preference.ListPreference
import android.util.AttributeSet

open class FixedListPreference : ListPreference {

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)

    constructor(context: Context) : super(context)

    override fun showDialog(state: Bundle?) {
        super.showDialog(state)
        DialogUtil.fixDivider<Dialog>(dialog)
    }

    fun show(){
        showDialog(null)
    }
}