package com.urbandroid.sleep.nearby.core

import com.urbandroid.common.logging.Logger

class MyLogger(private val interceptor: (Int, String, Throwable?) -> Unit = { _,_,_ -> }) {

    fun logDebug(message: String, throwable: Throwable? = null) {
        interceptor(Logger.DEBUG_LEVEL, message, throwable)
        Logger.logDebug(message, throwable)
    }

    fun logInfo(message: String, throwable: Throwable? = null) {
        interceptor(Logger.INFO_LEVEL, message, throwable)
        Logger.logInfo(message, throwable)
    }

    fun logWarning(message: String, throwable: Throwable? = null) {
        interceptor(Logger.WARNING_LEVEL, message, throwable)
        Logger.logWarning(message, throwable)
    }

    fun logSevere(message: String, throwable: Throwable? = null) {
        interceptor(Logger.SEVERE_LEVEL, message, throwable)
        Logger.logSevere(message, throwable)
    }
}
