package com.urbandroid.sleep.nearby.core

import android.Manifest
import android.content.Context
import android.content.pm.PackageManager
import android.support.v4.content.ContextCompat

fun checkCoarseLocationPermission(context: Context) {
    if (ContextCompat.checkSelfPermission(context, Manifest.permission.ACCESS_COARSE_LOCATION) != PackageManager.PERMISSION_GRANTED) {
        throw RuntimeException("ACCESS_COARSE_LOCATION not granted")
    }
}


