package com.urbandroid.sleep.activityrecognition

import android.annotation.SuppressLint
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.urbandroid.common.logging.Logger
import com.urbandroid.sleep.alarmclock.GlobalInitializator

class ActivityBootReceiver : BroadcastReceiver() {

    @SuppressLint("UnsafeProtectedBroadcastReceiver")
    override fun onReceive(context: Context?, intent: Intent?) {
        if (context == null) {
            return
        }
        GlobalInitializator.initializeIfRequired(context)
        Logger.logInfo("ActivityBootReceiver: initialize ...")
        ActivityRecognitionInitializer.from(context).initialize()
    }
}