package com.urbandroid.sleep.sensor.respiration.v2

class FloatArrayBuffer(val size: Int) {

    @Volatile var array : FloatArray = FloatArray(0)

    fun add(a: FloatArray) {
        array += a
        if (array.size > size) {
            array = array.sliceArray(array.size - size until array.size)
        }
    }

    fun get(): FloatArray {
        return array
    }
}
